# renameCoachingConversation

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| PATCH | https://api.thomas.co/v1/ai-coaching/conversations/{conversationId} |

| Field | Value |
|---|---|
| operationId | renameCoachingConversation |
| method | PATCH |
| server | https://api.thomas.co/v1 |
| path | /ai-coaching/conversations/{conversationId} |
| tags | `AI Coaching` |
| summary | Rename AI coaching conversation |
| badges | None |

## Request Parameters

| Name | In | Required | Schema | Description |
|---|---|---|---|---|
| conversationId | path | true | string |  |

## Request Body

| Content type | Schema refs |
|---|---|
| application/json | #/components/schemas/UpdateConversationBodyDto |

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | Renamed AI coaching conversation | #/components/schemas/ConversationResponseDto |
| 401 | Invalid or missing authentication token (AUTH_TOKEN_INVALID) | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```
